import { r as registerInstance, j as createEvent, h } from './index-07845439.js';
import { I as Identifier } from './index-265fba1f.js';

const styleCss = ".sc-intergiro-onboard-h{display:block;max-width:40em}";

const IntergiroOnboard = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.create = createEvent(this, "create", 7);
  }
  componentWillLoad() {
    if (!this.number)
      this.number = Identifier.generate(16);
  }
  onCreate(event) {
    this.create.emit(event.detail);
  }
  render() {
    return (h("payfunc-onboard", { "api-key": this.apiKey, customer: this.customer, number: this.number, cosmetic: this.cosmetic, responseTimer: this.responseTimer }));
  }
};
IntergiroOnboard.style = styleCss;

export { IntergiroOnboard as intergiro_onboard };
